AT(1)

NAMA
at, batch, atq, atrm - mengantrikan, memeriksa, atau memeriksa tugas untuk eksekusi nanti

RINGKASAN
at [-V] [-q antrian] [-f berkas] [-u nama_pengguna] [-mMlv] waktu ..."
at [-V] [-q antrian] [-f berkas] [-u nama_pengguna] [-mMkv] [-t waktu]
at -c tugas [...]
at [-V] -l [-o format_waktu] [tugas ...]
atq [-V] [-q antrian] [-o format_waktu] [tugas ...]
at [-rd] tugas [...]
atrm [-V] tugas [...]
batch
at -b

DESKRIPSI
at dan batch membaca tugas dari standard input atau dari sebuah file yang akan dilaksanakan pada waktu yang akan datang dengan menggunakan /bin/sh.

at  menjalankan tugas pada waktu yang ditentukan.

atq menampilkan tugas-tugas milik pengguna yang belum dijalankan, kecuali jika pengguna adalah superuser; semua tugas milik semua pengguna akan ditampilkan.Format baris keluaran (satu untuk setiap tugas) adalah: Nomor tugas, tanggal, jam, antrian, dan nama pengguna.

atrm
    menghapus tugas, yang diidentifikasi oleh nomor tugasnya.

batch
    menjalankan tugas jika beban sistem mengijinkan; dengan kata lain, jika beban rata-rata di bawah 1,5, atau nilai yang diberikan pada waktu menjalankan atd.

At mengizinkan perincian waktu yang cukup rumit, perluasan dari standard POSIX.2. At menerima perincian waktu dalam bentuk JJ:MM untuk menjalankan tugas pada waktu tertentu pada suatu hari. (Jika waktu tersebut telah terlewati, tugas akan dijalankan pada hari berikutnya.) Anda juga dapat menggunakan midnight (tengah malam), noon (tengah hari), atau teatime (pukul 16.00) dan anda dapat menggunakan waktu dengan akhiran AM atau PM untuk menjalankan tugas pada pagi hari atau malam hari. Anda juga dapat menjalankan tugas pada hari tertentu dengan memberikan tanggal dalam bentuk nama-bulan tanggal dengan tambahan tahun (tidak wajib), atau memberikan tanggal dengan bentuk BlTg[Ab]Th, Bl/Tg/[Ab]Th, Tg.Bl. [Ab]Th atau [Ab]Th-Bl-Tg. Jika tanggal dicantumkan, maka waktu harus dicantumkan. Anda juga dapat mencantumkan waktu seperti now + jumlah satuan-waktu, dengan satuan-waktu dapat berupa minutes (menit), hours (jam), days (hari), atau weeks (minggu) dan anda dapat memerintahkan at untuk menjalankan tugas pada hari ini dengan mengakhirinya dengan today dan untuk menjalankan tugas pada esok hari dengan mengakhirinya dengan tomorrow.

Sebagai contoh, untuk menjalankan tugas pada pukul 16.00 tiga hari dari sekarang, anda dapat menggunakan at 4pm + 3 days, untuk menjalankan tugas pada pukul 10.00 pada tanggal 31 Juli, gunakan at 10am Jul 31 dan untuk menjalankan tugas pada 01.00 esok hari, gunakan at 1am tomorrow.

Bila anda menyatakan suatu tugas agar dijalankan secara absolut pada suatu waktu dan tanggal tertentu di masa lalu, tugas akan dijalankan sesegera mungkin. Sebagai contoh, bila kini pukul 20 dan anda melakukan at 6pm today, itu akan lebih mungkin dijalankan pada 20:05.

Definisi lengkap mengenai spesifikasi waktu dapat ditemukan pada /usr/share/doc/at/timespec.

Untuk perintah at dan batch, tugas dibaca dari standard input atau file yang disebutkan pada parameter -f. Direktori kerja, dan variabel environment (kecuali variabel TERM, DISPLAY dan _) dan nilai umask dipakai dari waktu pemberian tugas.

Karena at saat ini diimplentasikan sebagai sebuah program setuid, variabel lingkungan lain (mis. LD_LIBRARY_PATH atau LD_PRELOAD) juga tidak diekspor. Ini mungkin berubah di masa mendatang. Sebagai solusi, atur variabel-variabel ini secara eksplisit dalam tugas anda.

at - atau batch - yang dilaksanakan di dalam shell su(1) akan tetap memakai userid efektif. Standard error dan standard output dari tugas tersebut, jika ada, akan dikirim melalui email ke pengguna. Mail akan dikirim dengan menggunakan perintah /usr/sbin/sendmail. Jika at dijalankan dari shell su(1), maka yang akan menerima email adalah pemilik dari shell login.

Superuser dapat menggunakan perintah-perintah ini dalam kondisi apapun. Untuk pengguna lain, izin untuk menggunakannya ditentukan oleh file-file /etc/at.allow dan /etc/at.deny. Lihat at.allow(5) untuk rinciannya.

PILIHAN

-V  menampilkan nomor versi ke standard error dan keluar dengan sukses.

-q antrian
    menggunakan antrian yang diberikan. Spesifikasi antrian terdiri dari sebuah huruf; antrian yang benar adalah dari a sampai z dan A sampai Z. Antrian a adalah default untuk at dan antrian b untuk batch. Antrian dengan huruf yang lebih tinggi dijalankan dengan nilai nice yang lebih tinggi. Antrian "=" diberikan untuk tugas yang sedang dijalankan.

Jika sebuah tugas dimasukkan ke antrian yang memiliki huruf kapital, tugas tersebut diperlakukan sebagaimana jika tugas tersebut telah dimasukkan ke batch pada saat tersebut. Saat waktu dicapai, aturan pemrosesan batch dengan memperhatikan rerate beban berlaku. Jika atq dijalankan dengan antrian tertentu, itu hanya akan menampilkan tugas-tugas tertunda di antrian yang bersangkutan.

-m  Mengirimkan mail ke pengguna sewaktu tugas tersebut telah selesai walaupun tugas tersebut tidak menghasilkan keluaran.

-M  Jangan pernah kirim surat ke pengguna.

-u nama_pengguna
    Kirim surat ke nama_pengguna bukan ke pengguna saat ini.

-f berkas
    Membaca tugas dari sebuah berkas dan bukan dari standard input.

-t waktu
    jalankan tugas pada waktu, diberikan dalam format [[CC]YY]MMDDhhmm[.ss]

-l  Nama lain untuk atq.

-r  Nama lain untuk atrm.

-d  Nama lain untuk atrm.

-b  nama lain untuk batch.

-v  Menampilkan waktu tugas tersebut akan dilaksanakan sebelum membaca tugas.

Waktu akan ditampilkan dalam format "Thu Feb 20 14:50:00 1997".

-c  menampilkan tugas-tugas yang dicantumkan sebagai parameter ke keluaran standar.

-o format
    format waktu mirip srtftime dipakai untuk daftar tugas

BERKAS
/var/spool/cron/atjobs
/var/spool/cron/atspool
/proc/loadavg
/var/run/utmp
/etc/at.allow
/etc/at.deny

LIHAT JUGA
at.allow(5), at.deny(5), atd(8), cron(1), nice(1), sh(1), umask(2).

BUGS
Penggunaan perintah batch pada Linux bergantung pada adanya direktori proc- yang terpasang pada /proc.

Jika file /var/run/utmp tidak dapat ditemukan atau rusak, atau jika pengguna tersebut tidak log pada saat at dijalankan, mail akan dikirimkan ke pengguna pada variabel LOGNAME. Jika variabel tersebut tidak terdefinisi atau kosong, at akan menggunakan pengguna saat itu yang menjalankan at.

At dan batch yang diimplentasikan pada saat ini tidak cocok jika para pengguna saling berebut sumber daya. Jika kasus ini berlaku untuk situs anda, anda mungkin ingin mempertimbangkan sistem batch lainnya, seperti nqs.

PENGARANG
At dibuat hampir seluruhnya oleh Thomas Koenig.

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh Priyadi Iman Nurcahyo <priyadi@priyadi.id.org> dan Andika Triwidada <andika@gmail.com>

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke TODO.